Update an Authentication Provider
/v1/users/authentication-providers/{id}Updates an existing Authentication Provider by providing its ID.
Roles
Analytics Events
Authorization
bearerAuth In: header
Path Parameters
Authentication Provider ID
uuidRequest Body
application/json
Update an Authentication Provider
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/users/authentication-providers/41458e5a-9092-40b7-9a26-d4eb43c5792f" \ -H "Content-Type: application/json" \ -d '{ "clientId": "vJ0SCKchr4XjC0xHNE8DkH6Pmlg2lkCN" }'{ "id": "983c0a86-204f-4431-9371-f5a22e506599", "redirectUrl": "https://tenant.vii.mattr.global/v1/oauth/authentication/callback", "url": "http://example.com", "scope": [ "openid", "profile", "email", "address", "phone" ], "clientId": "vJ0SCKchr4XjC0xHNE8DkH6Pmlg2lkCN", "tokenEndpointAuthMethod": "client_secret_post", "staticRequestParameters": { "prompt": "login", "max_age": 10000 }, "forwardedRequestParameters": [ "login_hint" ], "claimsToPersist": [ "userId" ], "clientSecret": "***********************************************************6-OjH"}How would you rate this page?